Main Page Modules Data Structures File List Data Fields Globals Related Pages

# pgpPktSymkey_s Struct Reference

5.3. More...

`#include <rpmpgp.h>`

## Data Fields
byte | version
byte | symkey_algo
byte | s2k [1]

## Detailed Description

5.3.

Symmetric-Key Encrypted Session-Key Packets (Tag 3)

The Symmetric-Key Encrypted Session Key packet holds the symmetric- key encryption of a session key used to encrypt a message. Zero or more Encrypted Session Key packets and/or Symmetric-Key Encrypted Session Key packets may precede a Symmetrically Encrypted Data Packet that holds an encrypted message. The message is encrypted with a session key, and the session key is itself encrypted and stored in the Encrypted Session Key packet or the Symmetric-Key Encrypted Session Key packet.

If the Symmetrically Encrypted Data Packet is preceded by one or more Symmetric-Key Encrypted Session Key packets, each specifies a passphrase that may be used to decrypt the message. This allows a message to be encrypted to a number of public keys, and also to one or more pass phrases. This packet type is new, and is not generated by PGP 2.x or PGP 5.0.

The body of this packet consists of:

- A one-octet version number. The only currently defined version is 4.
- A one-octet number describing the symmetric algorithm used.
- A string-to-key (S2K) specifier, length as defined above.
- Optionally, the encrypted session key itself, which is decrypted with the string-to-key object.

Definition at line 518 of file rpmpgp.h.

## Field Documentation

byte pgpPktSymkey_s::s2k[1]

| Definition at line 521 of file rpmpgp.h.

byte pgpPktSymkey_s::symkey_algo

| Definition at line 520 of file rpmpgp.h.

byte pgpPktSymkey_s::version

| version number (4). Definition at line 519 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h